flowrate = 0:1:500;
data_folder = 'sys_and_measure_evolution/Flow_analysis'; % Specify the folder where you want to save the data

for i = 1:length(flowrate)
    fr = flowrate(i);
    [t, x, binary_values] = masterscript_ode_param(250, fr, 180, 0.2, 0.0002, 2, 30);
    
    %data_name = sprintf('%s/flow_analy_fixAp30_fr_%d.csv', data_folder, fr);
    
    x_data_name = sprintf('%s/CRN_(%d_fr;30_Ap)_flow.csv', data_folder, fr);
    x_bin_data_name = sprintf('%s/CRN_(%d fr; 30 Ap)_flow_bin.csv', data_folder, fr);
    
    % Add header row
    header_row = {'Time', 'Tg', 'Tr', 'Pro-I', 'Int-I', 'I', 'Tr.Tg', 'Tr.Pro-I', 'Pro-I.Tr', 'Int-I.Tr', 'I-Tr', 'Pro-I.OH', 'Int-OH', 'IOH', 'Ap', 'Ap.Int-I'};
    
    % Make sure t and binary_values have the same number of rows
    min_rows = min(length(t), size(binary_values, 1));
    
    x_with_header = [header_row; num2cell([t(1:min_rows), x(1:min_rows, :)])];
    binary_values_with_header = [header_row; num2cell([t(1:min_rows), binary_values(1:min_rows, :)])]; % Include the first time point for binary_values
    
    % Write x values to CSV
    writecell(x_with_header, x_data_name);

    % Write binary values to CSV
    writecell(binary_values_with_header, x_bin_data_name);
end
